<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_Validate_EmailExists extends \Zend_Validate_Abstract
{
    protected $_messageTemplates = array(
        'notexisting' => "Diese E-Mail Adresse existiert nicht in unserer Datenbank."
    );

    public function isValid($value)
    {
        $this->_setValue($value);

        $mailExists = \Doctrine_Query::create()
	        ->select('COUNT(id) as num_users')
            ->from('User')
            ->where('email = ?', array($value))
            ->execute()
            ->getFirst();

        if (!$mailExists || $mailExists->num_users <= 0)
        {
            $this->_error('notexisting');
            return false;
        }

        return true;
    }
}