<?php

class DZF_Controller_Request_HttpTestCaseTests extends DZF_Helpers_TestCaseBase
{
    public function testSetServer()
    {
        $expectedValue = 'testValue';

        $uri = 'http://test.example.com/';
        $http = new DZF_Controller_Request_HttpTestCase($uri);
        $http->setServer('testsKey', $expectedValue);

        $this->assertEquals($expectedValue, $http->getServer('testsKey'));
    }

    public function testGetServer()
    {
        $expectedValue = 'testValue';

        $uri = 'http://test.example.com/';
        $http = new DZF_Controller_Request_HttpTestCase($uri);
        $http->setServer('testsKey', $expectedValue);

        $result = $http->getServer('testsKey');
        $this->assertEquals($expectedValue, $result);
    }

    public function testSetQuery()
    {
        $expectedValue = 'testValue';

        $uri = 'http://test.example.com/';
        $http = new DZF_Controller_Request_HttpTestCase($uri);
        $result = $http->setQuery('testsKey', $expectedValue);

        $this->assertNotNull($result);
    }

    public function testGetQuery()
    {
        $expectedValue = 'testValue';

        $uri = 'http://test.example.com/';
        $http = new DZF_Controller_Request_HttpTestCase($uri);
        $http->setQuery('testsKey', $expectedValue);

        $this->assertEquals($expectedValue, $http->getQuery('testsKey'));
    }

    public function testGetUserParams()
    {
        $expectedValue = array();

        $uri = 'http://test.example.com/';
        $http = new DZF_Controller_Request_HttpTestCase($uri);
        $result = $http->getUserParams('testsKey', $expectedValue);

        $this->assertEquals($expectedValue, $result);
    }

    public function testBuildHttpResponseFromDump()
    {
        $responseData = array(
            'code' => 'test code',
            'headers' => array('Request Method' => 'GET'),
            'body' => 'test body',
            'version' => 1.1,
            'message' => 'test message'
        );
        $response = DZF_Controller_Request_HttpTestCase::buildHttpResponseFromDump($responseData);

        $this->assertNotNull($response);
    }
}
