<?php

class DZF_Validate_StreetTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = 'Test name of street';
        $valueNotValid1 = 'St';
        $valueNotValid2 = 'Test name of street Test name of street Test name of street Test name of street Test name of street Test name of street';

        $street = new DZF_Validate_Street();

        $result = $street->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $street->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $street->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }

    public function testIsValidException()
    {
        $valueValid = ':::';

        $street = new DZF_Validate_Street();

        $result = $street->isValid($valueValid);

        $this->assertFalse($result);
    }
}
