<?php

class PlaceholderReplacerTests extends DZF_Helpers_TestCaseBase
{
    public function testReplacePlaceholders()
    {
        $placeholders = ['name' => 'Test name', 'age' => 25];
        $string = 'Test string which consist information about {name} who\'s {age} years old...';
        $expectedString = 'Test string which consist information about Test name who\'s 25 years old...';

        $form = new TestView();
        $placeholderReplacer = new DZF_View_Helper_PlaceholderReplacer();
        $placeholderReplacer->setView($form);
        $result = $placeholderReplacer->replacePlaceholders($placeholders, $string);

        $this->assertEquals($expectedString, $result);
    }

    public function testReplacePlaceholdersEmptyString()
    {
        $placeholders = ['name' => 'Test name', 'age' => 25];
        $string = '';
        $expectedString = '';

        $form = new TestView();
        $placeholderReplacer = new DZF_View_Helper_PlaceholderReplacer();
        $placeholderReplacer->setView($form);
        $result = $placeholderReplacer->replacePlaceholders($placeholders, $string);

        $this->assertEquals($expectedString, $result);
    }

    public function testPlaceholderReplacer()
    {
        $placeholders = ['name' => 'Test name', 'age' => 25];
        $string = 'Test string which consist information about %name% who\'s %age% years old...';
        $expectedString = 'Test string which consist information about Test name who\'s 25 years old...';

        $form = new TestView();
        $placeholderReplacer = new DZF_View_Helper_PlaceholderReplacer();
        $placeholderReplacer->setView($form);
        $result = $placeholderReplacer->replacePlaceholders($placeholders, $string, DZF_View_Helper_PlaceholderReplacer::PLACEHOLDER_DELIMITER_PERCENT);

        $this->assertEquals($expectedString, $result);
    }
}
